if(NOT TARGET costa::costa)
    cmake_policy(PUSH) # Save project's policies
    if(POLICY CMP0074)
        cmake_policy(SET CMP0074 NEW)
    endif()
    include(CMakeFindDependencyMacro)

    # Bundled modules should be found first to prevent conflicts with similarly 
    # named modules in calling projects. 
    #
    set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR} ${CMAKE_MODULE_PATH})

    set(MKL_ROOT "")
    set(MPI_CXX_COMPILER "/usr/local/mpi/openmpi/bin/mpicxx")

    find_package(MPI REQUIRED)
    find_package(OpenMP REQUIRED)

    set(COSTA_SCALAPACK "OFF")

    if (${COSTA_SCALAPACK} STREQUAL "MKL")
        find_package(MKL)
    elseif (${COSTA_SCALAPACK} STREQUAL "CRAY_LIBSCI")
        find_package(CRAY_LIBSCI REQUIRED)
    elseif (${COSTA_SCALAPACK} STREQUAL "CUSTOM")
        find_package(SCALAPACK)
    endif ()

    if ("OFF")
        find_dependency(semiprof)
    endif ()

    # Clean-up module path.
    #
    list(REMOVE_ITEM CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})

    include("${CMAKE_CURRENT_LIST_DIR}/costaTargets.cmake")
    cmake_policy(POP) # Restore project's policies
endif()
